Package ch.qos.logback.core.encoder

# Class NonClosableInputStream

java.lang.Object
java.io.InputStream
java.io.FilterInputStream
ch.qos.logback.core.encoder.NonClosableInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class NonClosableInputStream extends FilterInputStream

## Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
The whole point of this input stream is to ignore invocations to close()
`void`
`realClose()`

### Methods inherited from class java.io.FilterInputStream

`available, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.io.InputStream

`nullInputStream, readAllBytes, readNBytes, readNBytes, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### close

public void close()
The whole point of this input stream is to ignore invocations to close()

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `FilterInputStream`

### realClose

public void realClose() throws IOException

Throws:
  `IOException`